#!/bin/bash
################################################################################
#
# Intel Data Center Bridging (DCB) Software
# Copyright(c) 2007-2008 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# e1000-eedc Mailing List <e1000-eedc@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

. ../test_fns.sh

REMOTE=$1
DEVICE=$2
TEST="startup from no config"
echo Running: $TEST

RESULTS=t1.out
echo $TEST > $RESULTS

if [ $dontrestart -eq 0 ]; then
	reset_dcbd
	sleep 8
fi

# compare config pg
dcbtool -r gc $DEVICE pg > junk
check_results gc_pg "$TEST: local config pg"

ssh $REMOTE dcbtool -r gc $DEVICE pg > junk
check_results gc_pg "$TEST: remote config pg"

# compare config pfc
dcbtool -r gc $DEVICE pfc > junk
check_results gc_pfc "$TEST: local config pfc"

ssh $REMOTE dcbtool -r gc $DEVICE pfc > junk
check_results gc_pfc "$TEST: remote config pfc"

# compare oper config pg pg
dcbtool -r go $DEVICE pg > junk
check_results go_pg "$TEST: local oper config pg"

ssh $REMOTE dcbtool -r go $DEVICE pg > junk
check_results go_pg "$TEST: remote oper config pg"

# compare oper config pfc pfc
dcbtool -r go $DEVICE pfc > junk
check_results go_pfc "$TEST: local oper config pfc"

ssh $REMOTE dcbtool -r go $DEVICE pfc > junk
check_results go_pfc "$TEST: remote oper config pfc"

# compare peer config pg pg
dcbtool -r gp $DEVICE pg > junk
check_results gp_pg "$TEST: local peer config pg"

ssh $REMOTE dcbtool -r gp $DEVICE pg > junk
check_results gp_pg "$TEST: remote peer config pg"

# compare peer config pfc pfc
dcbtool -r gp $DEVICE pfc > junk
check_results gp_pfc "$TEST: local peer config pfc"

ssh $REMOTE dcbtool -r gp $DEVICE pfc > junk
check_results gp_pfc "$TEST: remote peer config pfc"

cat $RESULTS
rm junk
